Bug 178633 - hook up new syscalls in 2.6.16 kernel
hook up new syscalls in 2.6.16 kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks: 191275
  Show dependency treegraph
 
Reported: 2006-01-22 15:23 EST by Ulrich Drepper
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.5.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 22:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add support for new syscalls (x86, x86-64) (22.21 KB, patch)
2006-01-22 15:23 EST, Ulrich Drepper
no flags Details | Diff
strace-4.5.14-alt-syscalls.patch (51.41 KB, patch)
2006-09-02 08:50 EDT, Dmitry V. Levin
no flags Details | Diff
strace-4.5.14-alt-syscalls-20060904.patch (51.45 KB, patch)
2006-09-05 09:31 EDT, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2006-01-22 15:23:45 EST
Description of problem:
The 2.6.16 kernel will contain a whole bunch of new syscalls.

Version-Release number of selected component (if applicable):
4.5.14

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Here's the changelog for the patches.

2006-01-22  Ulrich Drepper  <drepper@redhat.com>

	* defs.h: Declare sprintsigmask.
	* desc.c (sys_pselect): New function.
	* file.c (sys_openat, sys_faccessat, sys_newfstatat, sys_mkdirat,
	sys_linkat, sys_unlinkat, sys_symlinkat, sys_readlinkat, sys_renameat,
	sys_fchownat, sys_fchmodat, sys_futimesat, sys_mknodat): New functions.
	* linux/syscallent.h: Hook up new syscalls.
	* linux/x86_64/syscallent.h: Likewise.
	* linux/syscall.h: Delcare new syscall handlers.  Add #defines for
	those new syscalls which are not yet handled.
	Whitespace fixup.  Renumber IPC and socket subcalls.
	* signal.c: Export sprintsigmask.
Comment 1 Ulrich Drepper 2006-01-22 15:23:45 EST
Created attachment 123547 [details]
patch to add support for new syscalls (x86, x86-64)
Comment 2 Dmitry V. Levin 2006-03-29 19:41:56 EST
Similar patch was submitted to strace-devel@ recently, see
https://sourceforge.net/mailarchive/forum.php?thread_id=10061791&forum_id=3912

Patch submitted by Ulrich is slightly better, but each of them has advantages
and drawbacks.
So I'd like to see these two patches merged.
Comment 3 Dmitry V. Levin 2006-09-02 08:50:51 EDT
Created attachment 135427 [details]
strace-4.5.14-alt-syscalls.patch

My attempt to merge work made by Ulrich and Bernhard.
Patch for snapshot 20060822.
Needs additional testing.
Comment 4 Dmitry V. Levin 2006-09-05 09:31:02 EDT
Created attachment 135556 [details]
strace-4.5.14-alt-syscalls-20060904.patch

Updated linkat and fstatat64 descriptions in syscallent.h files, based on
feedback from Michael Holzheu.
Comment 5 Dmitry V. Levin 2006-11-26 06:44:02 EST
Fixed upstream.
Comment 6 Roland McGrath 2007-01-11 06:14:14 EST
these bugs are fixed upstream in the coming 4.5.15 release
Comment 7 Roland McGrath 2007-01-16 22:04:53 EST
4.5.15 in rawhide and in updates for fc5 and fc6 fixes this.

Note You need to log in before you can comment on or make changes to this bug.